%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Archive-Tar
%define modv   1.68
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A module for manipulations of tar archives
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Chris Williams <chris@bingosnet.co.uk>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Compress::Zlib) >= 2.015
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.82
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IO::Compress::Base) >= 2.015
BuildRequires: perl(IO::Compress::Bzip2) >= 2.015
BuildRequires: perl(IO::Compress::Gzip) >= 2.015
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Zlib) >= 1.01
BuildRequires: perl(Package::Constants)
BuildRequires: perl(Test::Harness) >= 2.26
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 0.95
BuildRequires: perl(Text::Diff)
BuildArch:     noarch


%description
Archive::Tar provides an object oriented mechanism for handling tar files.
It provides class methods for quick and easy files handling while also
allowing for the creation of tar file objects for custom manipulation.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/ptar
%{_bindir}/ptardiff
%{perl_vendorlib}/%{modp}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Tue Sep 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.68-1
- New version (1.68)

* Wed Aug 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.66-1
- New version (1.66)

* Wed Jul 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.62-1
- New version (1.62)

* Wed Apr 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.58-1
- New version (1.58)

* Sun Mar 15 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.46-1
- New version (1.46)

* Wed Feb 04 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.44-1
- New version (1.44)

* Fri May 02 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.38-3
- Initial build
